<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: DiskSpaces</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">DiskSpaces</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/models/internal_rb.html">
                app/models/internal.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                Object
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000090">each</a>&nbsp;&nbsp;
      <a href="#M000091">each_with_index</a>&nbsp;&nbsp;
      <a href="#M000089">new</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->
    <div id="includes">
      <h3 class="section-bar">Included Modules</h3>

      <div id="includes-list">
        <span class="include-name">Reloadable</span>
      </div>
    </div>

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Class methods</h3>

      <div id="method-M000089" class="method-detail">
        <a name="M000089"></a>

        <div class="method-heading">
          <a href="#M000089" class="method-signature">
          <span class="method-name">new</span><span class="method-args">(id)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000089-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000089-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/internal.rb, line 31</span>
31:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">initialize</span> (<span class="ruby-identifier">id</span>)
32:     <span class="ruby-ivar">@raw_data</span> = <span class="ruby-constant">OpenVZ</span>.<span class="ruby-identifier">df</span>(<span class="ruby-identifier">id</span>)
33:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@raw_data</span> <span class="ruby-operator">==</span> <span class="ruby-value str">&quot;&quot;</span>
34:       <span class="ruby-identifier">raise</span> <span class="ruby-constant">MachineDoesNotExistError</span>, 
35:       <span class="ruby-node">&quot;Invalid VEID: VE #{id} doesn't exist on the system.&quot;</span>
36:     <span class="ruby-keyword kw">end</span>
37:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000090" class="method-detail">
        <a name="M000090"></a>

        <div class="method-heading">
          <a href="#M000090" class="method-signature">
          <span class="method-name">each</span><span class="method-args">() {|DiskSpace.new(total = line_of_numbers[0].to_i, available = line_of_numbers[2].to_i, fs_type = line_of_chars[0], mount_on = line_of_chars[5])| ...}</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000090-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000090-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/internal.rb, line 39</span>
39:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">each</span>
40:   
41:     <span class="ruby-identifier">lines</span> = <span class="ruby-ivar">@raw_data</span>.<span class="ruby-identifier">split</span>(<span class="ruby-value str">&quot;\n&quot;</span>)[<span class="ruby-value">1</span><span class="ruby-operator">..</span><span class="ruby-value">-1</span>]
42:       
43:     <span class="ruby-identifier">lines</span>.<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">line</span><span class="ruby-operator">|</span>
44:       <span class="ruby-identifier">line_of_numbers</span> = <span class="ruby-identifier">line</span>.<span class="ruby-identifier">scan</span>(<span class="ruby-regexp re">/[0-9]+/</span>)
45:       <span class="ruby-identifier">line_of_chars</span> = <span class="ruby-identifier">line</span>.<span class="ruby-identifier">split</span>(<span class="ruby-value str">&quot; &quot;</span>)
46: 
47:       <span class="ruby-keyword kw">yield</span> <span class="ruby-constant">DiskSpace</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">total</span> = <span class="ruby-identifier">line_of_numbers</span>[<span class="ruby-value">0</span>].<span class="ruby-identifier">to_i</span>, 
48:                           <span class="ruby-identifier">available</span> = <span class="ruby-identifier">line_of_numbers</span>[<span class="ruby-value">2</span>].<span class="ruby-identifier">to_i</span>, 
49:                           <span class="ruby-identifier">fs_type</span> = <span class="ruby-identifier">line_of_chars</span>[<span class="ruby-value">0</span>], 
50:                           <span class="ruby-identifier">mount_on</span> = <span class="ruby-identifier">line_of_chars</span>[<span class="ruby-value">5</span>])
51: 
52:     <span class="ruby-keyword kw">end</span> 
53:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000091" class="method-detail">
        <a name="M000091"></a>

        <div class="method-heading">
          <a href="#M000091" class="method-signature">
          <span class="method-name">each_with_index</span><span class="method-args">() {|i| ...}</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000091-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000091-source">
<pre>
    <span class="ruby-comment cmt"># File app/models/internal.rb, line 55</span>
55:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">each_with_index</span> 
56:     <span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">i</span><span class="ruby-operator">|</span>
57:       <span class="ruby-keyword kw">yield</span> <span class="ruby-identifier">i</span>
58:     <span class="ruby-keyword kw">end</span>
59:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>